PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.7.0 »
- SDSS Spectroscopic Data (`pydl.pydlspec2d`) »
- filter_thru

# filter_thru

`pydl.pydlspec2d.spec2d.``filter_thru`(flux, waveimg=None, wset=None, mask=None, filter_prefix='sdss_jun2001', toair=False)

  Compute throughput in SDSS filters.

  Parameters:

  flux : array-like

  > Spectral flux.

  waveimg : array-like, optional

  > Full wavelength solution, with the same shape as `flux`.

  wset : `TraceSet`, optional

  > A trace set containing the wavelength solution. Must be specified if `waveimg` is not specified.

  mask : array-like, optional

  > Interpolate over pixels where `mask` is non-zero.

  filter_prefix : `str`, optional

  > Specifies a set of filter curves.

  toair : `bool`, optional

  > If `True`, convert the wavelengths to air from vacuum before computing.

  Returns:

  array-like

  > Integrated flux in the filter bands.

  Raises:

  :exc:`ValueError`

  > If neither `waveimg` nor `wset` are set.